Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.resource.spi.work
Class WorkException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.resource.ResourceException
                  javax.resource.spi.work.WorkException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  WorkCompletedException, WorkRejectedException

public class WorkException
extends ResourceException

A common base class for all `Work` processing related exceptions.

Version:
  1.0
Author:
  Ram Jeyaraman
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `INTERNAL` Indicates an internal error condition.
`static java.lang.String` | `START_TIMED_OUT` Indicates start timeout expiration.
`static java.lang.String` | `TX_CONCURRENT_WORK_DISALLOWED` Indicates that concurrent work within a transaction is disallowed.
`static java.lang.String` | `TX_RECREATE_FAILED` Indicates a failure in recreating the specified transaction context.
`static java.lang.String` | `UNDEFINED` Undefined error code.

Constructor Summary
`WorkException()` Constructs a new instance with null as its detail message.
`WorkException(java.lang.String message)` Constructs a new instance with the specified detail message.
`WorkException(java.lang.String message, java.lang.String errorCode)` Constructs a new throwable with the specified detail message and an error code.
`WorkException(java.lang.String message, java.lang.Throwable cause)` Constructs a new throwable with the specified detail message and cause.
`WorkException(java.lang.Throwable cause)` Constructs a new throwable with the specified cause.

Methods inherited from class javax.resource.ResourceException
`getErrorCode, getLinkedException, getMessage, setErrorCode, setLinkedException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### INTERNAL

    public static final java.lang.String INTERNAL

  Indicates an internal error condition.

  See Also:
    Constant Field Values

### UNDEFINED

    public static final java.lang.String UNDEFINED

  Undefined error code.

  See Also:
    Constant Field Values

### START_TIMED_OUT

    public static final java.lang.String START_TIMED_OUT

  Indicates start timeout expiration.

  See Also:
    Constant Field Values

### TX_CONCURRENT_WORK_DISALLOWED

    public static final java.lang.String TX_CONCURRENT_WORK_DISALLOWED

  Indicates that concurrent work within a transaction is disallowed. That is, there is already another `Work` instance associated with the specified transaction context.

  See Also:
    Constant Field Values

### TX_RECREATE_FAILED

    public static final java.lang.String TX_RECREATE_FAILED

  Indicates a failure in recreating the specified transaction context.

  See Also:
    Constant Field Values

Constructor Detail

### WorkException

    public WorkException()

  Constructs a new instance with null as its detail message.

### WorkException

    public WorkException(java.lang.String message)

  Constructs a new instance with the specified detail message.

Parameters:
  `message` - the detail message.

### WorkException

    public WorkException(java.lang.Throwable cause)

  Constructs a new throwable with the specified cause.

Parameters:
  `cause` - a chained exception of type `Throwable`.

### WorkException

    public WorkException(java.lang.String message,
                         java.lang.Throwable cause)

  Constructs a new throwable with the specified detail message and cause.

Parameters:
  `message` - the detail message.
  `cause` - a chained exception of type `Throwable`.

### WorkException

    public WorkException(java.lang.String message,
                         java.lang.String errorCode)

  Constructs a new throwable with the specified detail message and an error code.

Parameters:
  `message` - a description of the exception.
  `errorCode` - a string specifying the vendor specific error code.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.